Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 37369 - window layout distorted after restart
window layout distorted after restart
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
3.x
PC Windows ME/2000
: P3 (vote)
: 3.x
Assigned To: Peter Zavadsky
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 11:22 UTC by John Jullion-ceccarelli
Modified: 2008-12-22 21:41 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
screenshot of windows layout after restart (67.53 KB, image/png)
2003-11-20 11:25 UTC, John Jullion-ceccarelli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Jullion-ceccarelli 2003-11-20 11:22:46 UTC
I have the IDE maximized on a large monitor
(1600x1200). When I close and reopen the IDE,
Properties, Output, and Filesystems are huge and
the Source Editor is tiny. Anyway it's not the way
I left it when it closed. See screenshot.
Comment 1 John Jullion-ceccarelli 2003-11-20 11:25:58 UTC
Created attachment 12234 [details]
screenshot of windows layout after restart
Comment 2 Peter Zavadsky 2003-11-20 13:17:42 UTC
Problem is that there is a sequence,

- seting splits
- making main window visible
- setting it maximized


if I put the setting maximize on the top, it doesn't get maximized
actually... so I will try to find out why.. .. if it will not be
possible to reorder... I put there some hack to update split (they are
computed relatively to the size of main window).
Comment 3 Peter Zavadsky 2003-11-20 14:07:43 UTC
So the update (set) of split positions is moved to the end of that stack.

Fixed in [trunk]

core/windows/../view/DefaultView.java 1.6
Comment 4 Marian Mirilovic 2004-03-18 10:01:07 UTC
verified in NB 3.6 RC1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo